PIRL.Conductor

## Interface Processing_Listener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  Conductor_Table_Model, Local_Theater, Manager

    public interface Processing_Listener
    extends EventListener

A Processing_Listener specifies the interface to receive Conductor Processing_Event notifications.

Implementors of the Processing_Listener interface can `register` with the Conductor Management interface to receive Conductor Processing_Event notifications

See Also:
  `Management`

### Method Summary

Methods
`void` `Processing_Event_Occurred(Processing_Event event)` A Conductor Processing_Event occured.

### Method Detail

#### Processing_Event_Occurred

    void Processing_Event_Occurred(Processing_Event event)

A Conductor Processing_Event occured.

Whenever a significant processing event occurs by a Conductor it sends a Processing_Event to all `registered` listeners.

Parameters:
  `event` - A Conductor Processing_Event.
See Also:
  `Processing_Event`